Page MenuHomePhabricator

rhg: add a `DebugData` `Command` to prepare the `rhg debugdata` subcommand
ClosedPublic

Authored by acezar on Aug 26 2020, 9:23 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Aug 26 2020, 9:23 AM
Alphare added inline comments.
rust/rhg/src/commands/debugdata.rs
44

to_string() is unnecessary.

44

Also, didn't we discuss having some sort of utf8_to_local method that did nothing for now but allowed encapsulation for future support of different locales?

acezar marked 2 inline comments as done.Aug 31 2020, 10:37 AM
acezar added inline comments.
rust/rhg/src/commands/debugdata.rs
44

without to_string(): no method named as_bytes` found for type std::io::Error in the current scope`

acezar marked an inline comment as done.Aug 31 2020, 10:40 AM
acezar updated this revision to Diff 22493.
acezar updated this revision to Diff 22530.Sep 3 2020, 4:51 AM
acezar updated this revision to Diff 22534.Sep 3 2020, 8:50 AM
Alphare added inline comments.Sep 6 2020, 4:01 AM
rust/rhg/src/commands/debugdata.rs
44

This is marked as done, but the utf8_to_local encapsulation is nowhere to be found, I'm assuming you forgot since we talked about it last time.

acezar updated this revision to Diff 22581.Sep 9 2020, 6:08 AM
acezar marked an inline comment as done.Sep 9 2020, 6:09 AM
acezar added inline comments.
rust/rhg/src/commands/debugdata.rs
44

Oups. My bad. It's really done now.

acezar marked an inline comment as done.Sep 9 2020, 6:11 AM
acezar updated this revision to Diff 22582.
Alphare accepted this revision.Sep 17 2020, 5:18 AM

Good enough for now, thanks.
I'll probably send a follow-up for the typo and maybe see about removing the .into() calls.

acezar updated this revision to Diff 22781.Sep 23 2020, 8:07 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.